<?php

ini_set('display_errors', 1);

// Set errors
$intErrors = 0;
$strErrorMsg = "";

require_once('TwitterAPIExchange.php');
require_once('GetSharedParams.php');

// Get specific parameters:

if(isset($_GET['strTwitterListID']) && !empty($_GET['strTwitterListID'])){
	$strTwitterListID = $_GET["strTwitterListID"];
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "strTwitterListID is missing";
}

if ($intErrors > 0 ) {
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
	echo "	<lists>" . "\r\n";
	echo "		<list>" . "\r\n";
	echo "			<code>params</code>" . "\r\n";
	echo "			<message>" . $intErrors  . " parameter error(s) - " . $strErrorMsg . "</message>" . "\r\n";
	echo "		</list>" . "\r\n";
	echo "	</lists>";
	die;
}

/** Set access tokens here - see: https://dev.twitter.com/apps/ **/
$settings = array(
    'oauth_access_token' => $oat,
    'oauth_access_token_secret' => $oats,
    'consumer_key' => $ck,
    'consumer_secret' => $cs
);

$url = 'https://api.twitter.com/1.1/lists/destroy.json';
$requestMethod = 'POST';

$twitter = new TwitterAPIExchange($settings);

$postfields = array(
    'list_id' => $strTwitterListID
);

$data=$twitter->buildOauth($url, $requestMethod)
             ->setPostfields($postfields)
             ->performRequest();

$arrayContent = json_decode($data, true);

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
echo "	<lists>"."\r\n";
echo "		<list>"."\r\n";

if (array_key_exists('errors', $arrayContent)) {
	echo "			<code>" .$arrayContent['errors'][0]['code'] . "</code>" . "\r\n";
	echo "			<message>" . $arrayContent['errors'][0]['message'] . "</message>" . "\r\n";
	echo "		</list>"."\r\n";
	echo "	</lists>";
	die;
}

echo "			<code>0</code>" . "\r\n";
echo "			<id_str>" . $arrayContent['id_str'] . "</id_str>" . "\r\n";
echo "		</list>" . "\r\n";
echo "	</lists>" . "\r\n";

?>