<?php

ini_set('display_errors', 1);

// Set errors
$intErrors = 0;
$strErrorMsg = "";

require_once('TwitterAPIExchange.php');
require_once('GetSharedParams.php');

// Get specific parameters:

if(isset($_GET['strListName']) && !empty($_GET['strListName'])){
	$strListName = $_GET["strListName"];
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "strListName missing";
}

if(isset($_GET['strMode']) && !empty($_GET['strMode'])){
	$strMode = $_GET["strMode"];
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "strMode missing";
}

if ($intErrors > 0 ) {
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
	echo "	<ids>" . "\r\n";
	echo "		<id>" . "\r\n";
	echo "			<code>params</code>" . "\r\n";
	echo "			<message>" . $intErrors  . " parameter error(s) - " . $strErrorMsg . "</message>" . "\r\n";
	echo "		</id>" . "\r\n";
	echo "	</ids>";
	die;
}

/** Set access tokens here - see: https://dev.twitter.com/apps/ **/
$settings = array(
    'oauth_access_token' => $oat,
    'oauth_access_token_secret' => $oats,
    'consumer_key' => $ck,
    'consumer_secret' => $cs
);

$url = 'https://api.twitter.com/1.1/lists/create.json';
$requestMethod = 'POST';

$postfields = array(
	'name' => $strListName,
	'mode' => 'private' //$strMode
	);

$twitter = new TwitterAPIExchange($settings);
$data = $twitter->buildOauth($url, $requestMethod)
              ->setPostfields($postfields)
              ->performRequest();
$arrayContent = json_decode($data, true);

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
echo "	<ids>"."\r\n";
echo "		<id>"."\r\n";

if (array_key_exists('errors', $arrayContent)) {
	echo "			<code>" .$arrayContent['errors'][0]['code'] . "</code>" . "\r\n";
	echo "			<message>" . $arrayContent['errors'][0]['message'] . "</message>" . "\r\n";
	echo "		</id>"."\r\n";
	echo "	</ids>";
	die;
}

echo "			<code>0</code>" . "\r\n";
echo "			<id_str>" . $arrayContent['id_str'] . "</id_str>" . "\r\n";
echo "		</id>" . "\r\n";
echo "	</ids>" . "\r\n";

?>